Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.distance
Class FacetSequence

    java.lang.Object
      com.vividsolutions.jts.operation.distance.FacetSequence

    public class FacetSequence

extends java.lang.Object

Represents a sequence of facets (points or line segments) of a `Geometry` specified by a subsequence of a `CoordinateSequence`.

Author:
  Martin Davis

Constructor Summary
`FacetSequence(CoordinateSequence pts, int start)` Creates a new sequence for a single point from a CoordinateSequence.
`FacetSequence(CoordinateSequence pts, int start, int end)` Creates a new section based on a CoordinateSequence.

Method Summary
`double` | `distance(FacetSequence facetSeq)`
`Coordinate` | `getCoordinate(int index)`
`Envelope` | `getEnvelope()`
`boolean` | `isPoint()`
`int` | `size()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FacetSequence

    public FacetSequence(CoordinateSequence pts,
                         int start,
                         int end)

  Creates a new section based on a CoordinateSequence.

  Parameters:
    `pts` - the sequence holding the points in the section
    `start` - the index of the start point
    `end` - the index of the end point + 1

### FacetSequence

    public FacetSequence(CoordinateSequence pts,
                         int start)

  Creates a new sequence for a single point from a CoordinateSequence.

  Parameters:
    `pts` - the sequence holding the points in the facet sequence
    `start` - the index of the point

Method Detail

### getEnvelope

    public Envelope getEnvelope()

### size

    public int size()

### getCoordinate

    public Coordinate getCoordinate(int index)

### isPoint

    public boolean isPoint()

### distance

    public double distance(FacetSequence facetSeq)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD